# Index identifications for a person

Returns all identifications for the person specified in the request URL.

Endpoint: GET /v1/persons/{person_id}/identifications
Version: 1.0

## Path parameters:

  - `person_id` (string, required)
    The unique ID of the person resource created for a customer.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

## Response 200 fields (application/json):

  - `id` (string)
    ID of the person identification.
    Example: "9dfe2f4edaa67138be0c0c1cd3a7d849cidt"

  - `reference` (string)
    Reference generated by the identification provider.
    Example: "TST-ELCCJ"

  - `url` (string)
    (IDnow only) Redirect URL used to start the identification process.
    Example: "https://go.test.idnow.de/company_id/identifications/identification_id"

  - `status` (string)
    The current status of the identification. Note The status value depends on the identification method, check the [KYC guides](https://docs.solarisgroup.com/guides/kyc) for more information.
    Enum: "aborted", "authorization_required", "confirmation_required", "confirmed", "created", "canceled", "expired", "failed", "identification_data_required", "pending", "pending_account_creation", "pending_successful", "pending_failed", "pending_ref_transfer", "pre_successful", "processed", "rejected", "successful", "signed"

  - `completed_at` (string)
    Date and time when the identification was completed.
    Example: "2021-09-14T18:18:28.000Z"

  - `method` (string)
    The method used for the identification.
    Enum: "bank", "bank_id", "bank_plus", "fourthline", "idnow", "idnow_autoident", "idnow_custom", "manual", "postident"

  - `proof_of_address_type` (string)
    The type of document submitted by the customer as a proof of address if their identification document did not include their address.
    Enum: "BANK_ACCOUNT_STATEMENT", "CERTIFICATE_OF_REGISTRATION", "ELECTRICITY_BILL", "GAS_BILL", "HEATING_BILL", "INTERNET_BILL", "TELEPHONE_BILL", "WATER_BILL"

  - `proof_of_address_issued_at` (string)
    The date when the proof of address document was issued.
    Example: "2021-12-03"

  - `language` (string)
    (IDnow only) The customer's preferred language for the identification process.
    Enum: "DE", "EN"

  - `person_id` (string)
    ID of the person for whom the identification was initiated.
    Example: "992de312a545bb24a88ddbf57ae8b1ffcper"

  - `address` (object)
    The customer's address.

  - `address.line_1` (string)
    Address line 1.
    Example: "BERLINER STR. 45"

  - `address.line_2` (string)
    Address line 2.
    Example: "Erste Etage"

  - `address.postal_code` (string)
    Customer's postal code.
    Example: "14169"

  - `address.city` (string)
    Customer's city.
    Example: "Berlin"

  - `address.country` (string)
    Customer's country.
    Example: "DE"

  - `address.state` (string)
    Customer's state.
    Example: "BE"

  - `documents` (array)
    Documents provided by the customer during the identification process.
    Example: [{"id":"448b75fa1c57eecda41d91c66c22faa6cdoc","name":"file1.pdf","content_type":"application/json","document_type":"KYC_REPORT","size":803580},{"id":"94eb22a9311be9a1fbb698c448b0b337cdoc","name":"file2.jpg","content_type":"image/jpeg","document_type":"SIGNATURE","size":25349}]

  - `documents.id` (string)
    ID of the document.

  - `documents.name` (string)
    The filename of the document.

  - `documents.content_type` (string)
    Formatting type of the document.

  - `documents.document_type` (string)
    The type of document submitted.
    Enum: "ID_DOCUMENT", "KYC_REPORT", "OTHER", "PICTURE", "SIGNATURE", "SIGNED_CONTRACT", "QES_DOCUMENT", "SIGNED_QES_DOCUMENT"

  - `documents.size` (integer)
    The file size (in bytes).

  - `failure_reason` (string,null)
    Additional context around why the identification failed. Value depends on the identification method.

  - `iban` (string)
    Optional IBAN provided for bank and bank_id identifications. Please note that Solaris only accepts certain banks for the Bankident KYC flow. See the full list [here](https://docs.solarisgroup.com/guides/kyc/bankident/#allowed-banks).
    Example: "DE11010101010101010100"

  - `authorization_expires_at` (string,null)
    The date and time by which the authorization for the end customer must be requested.

  - `confirmation_expires_at` (string,null)
    The date and time by which the customer must input the OTP sent to their mobile number for the QES process.

  - `provider_status_code` (integer,null)
    (Fourthline only) Status code returned by the identification provider.
    Enum: 1000, 1001, 1002, 1003, 1004, 1005, 1006, 1007, 1008, 1009, 1010, 1011, 1012, 1013, 1014, 1015, 1016, 1017, 1018, 1019, 1020, 1021, 1022, 1023, 1024, 1030, 1031, 1032, 1033, 1034, 1035, 1036, 1037, 1038, 1100, 2001, 2002, 2003, 3001, 3002, 3003, 3004, 3005, 3100, 3101, 3102, 3103, 3104, 3105, 3106, 3107, 3200, 3201, 3202, 3203, 3204, 3205, 3206, 3207, 3208, 3209, 3210, 3211, 3250, 3300, 3304, 3305, 3306, 3307, 3308, 3400, 3401, 3402, 3403, 3404, 3405, 3406, 3407, 3408, 3500, 3510, 3520, 3540, 3600, 3601, 3602, 3603, 3610, 3620

  - `account_verification_error` (string,null)
    Session Error returned by Tink in the account verification process. Will only be populated when failure_reason is account_snaphot_failed or account_snapshot_expired. Only present for identifications within identification session.
    Enum: "accounts_failed", "client_aborted", "init_failed", "login_failed", "login_next_failed", "max_login_tries", "max_tan_tries", "no_compatible_accounts", "pinned_iban_not_found", "security_setting_rejection", "session_expired", "tech_error", "transaction_failed", "turnovers_failed", "validation_failed"

  - `idnow_process_type` (string)
    When method idnow is selected, the process type will reflect which idnow process was chosen.
    Example: "eid"

## Response 400 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "400"

  - `code` (string)
    Example: "build_pagination_headers_failure"

  - `title` (string)
    Example: "Failed to build pagination headers."

  - `detail` (string)
    Example: "Cannot connect to database."

## Response 403 fields (application/json):

  - `id` (string)
    Example: "a95f2aaf-4e0c-4d49-8021-8a16a884ed86"

  - `status` (string)
    Example: "403"

  - `code` (string)
    Example: "unauthorized_action"

  - `title` (string)
    Example: "Unauthorized Action"

  - `detail` (string)
    Example: "Unauthorized action is not allowed."

## Response 500 fields (application/json):

  - `id` (string)
    Example: "e8915041-9d8c-4d96-9dd1-04e8522ecdbf"

  - `status` (string)
    Example: "500"

  - `code` (string)
    Example: "generic_error"

  - `title` (string)
    Example: "Generic Error"

  - `detail` (string)
    Example: "There was an error."


## Response default fields
